#if !defined(AFX_GAMETYPESPANEL_H__7DF881BA_665F_46E9_9DA2_889384737193__INCLUDED_)
#define AFX_GAMETYPESPANEL_H__7DF881BA_665F_46E9_9DA2_889384737193__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// GameTypesPanel.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CGameTypesPanel dialog
class ObjectManager;
class UndoCommand;

class CGameTypesPanel : public CDialog
{
// Construction
public:
	CGameTypesPanel(ObjectManager *gobj,UndoCommand **cmd,CWnd* pParent = NULL);   // standard constructor
	ObjectManager *ObjMan;
	UndoCommand **CmdList;
	bool deleteed;

// Dialog Data
	//{{AFX_DATA(CGameTypesPanel)
	enum { IDD = IDD_GAMETYPESPANEL };
	CButton	m_SelectScripts;
	CComboBox	m_TeamsCon;
	CComboBox	m_AlgnCon;
	CListBox	m_IncludeList;
	CListBox	m_ExcludeList;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CGameTypesPanel)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	void UpdateLists();
	// Generated message map functions
	//{{AFX_MSG(CGameTypesPanel)
	virtual void OnOK();
	virtual void OnCancel();
	virtual BOOL OnInitDialog();
	afx_msg void OnAddselected();
	afx_msg void OnRemoveselected();
	afx_msg void OnSelchangeGtincludelist();
	afx_msg void OnKillfocusTeams();
	afx_msg void OnKillfocusAlignment();
	afx_msg void OnSelchangeTeams();
	afx_msg void OnSelectscripts();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_GAMETYPESPANEL_H__7DF881BA_665F_46E9_9DA2_889384737193__INCLUDED_)
